---
Gitlab/AvoidGitlabInstanceChecks:
  Details: grace period
  Exclude:
    - 'app/controllers/admin/runners_controller.rb'
    - 'app/controllers/explore/groups_controller.rb'
    - 'app/controllers/jira_connect/oauth_application_ids_controller.rb'
    - 'app/helpers/application_settings_helper.rb'
    - 'app/helpers/groups_helper.rb'
    - 'app/helpers/integrations_helper.rb'
    - 'app/helpers/packages_helper.rb'
    - 'app/helpers/projects_helper.rb'
    - 'app/helpers/sessions_helper.rb'
    - 'app/helpers/sidebars_helper.rb'
    - 'app/helpers/users/callouts_helper.rb'
    - 'app/helpers/whats_new_helper.rb'
    - 'app/mailers/devise_mailer.rb'
    - 'app/models/ci/build.rb'
    - 'app/models/ci/runner.rb'
    - 'app/models/concerns/protected_ref_access.rb'
    - 'app/models/container_repository.rb'
    - 'app/models/integrations/jira.rb'
    - 'app/models/member.rb'
    - 'app/models/namespace.rb'
    - 'app/models/project.rb'
    - 'app/models/release_highlight.rb'
    - 'app/policies/base_policy.rb'
    - 'app/workers/container_registry/cleanup_worker.rb'
    - 'app/workers/container_registry/migration/guard_worker.rb'
    - 'app/workers/container_registry/record_data_repair_detail_worker.rb'
    - 'app/workers/gitlab_service_ping_worker.rb'
    - 'app/workers/users/deactivate_dormant_users_worker.rb'
    - 'config/initializers/active_record_transaction_observer.rb'
    - 'config/initializers/active_record_transaction_patches.rb'
    - 'config/initializers/check_forced_decomposition.rb'
    - 'config/initializers/gitlab_experiment.rb'
    - 'config/initializers/gitlab_suggested_reviewers_secret.rb'
    - 'config/initializers/rack_multipart_patch.rb'
    - 'config/initializers/validate_puma.rb'
    - 'config/initializers/warden.rb'
    - 'ee/app/controllers/admin/namespace_limits_controller.rb'
    - 'ee/app/controllers/ee/admin/users_controller.rb'
    - 'ee/app/controllers/ee/application_controller.rb'
    - 'ee/app/controllers/ee/dashboard/projects_controller.rb'
    - 'ee/app/controllers/ee/groups/group_members_controller.rb'
    - 'ee/app/controllers/ee/search_controller.rb'
    - 'ee/app/controllers/sitemap_controller.rb'
    - 'ee/app/finders/groups_with_templates_finder.rb'
    - 'ee/app/finders/scim_finder.rb'
    - 'ee/app/finders/search/elastic_projects_not_indexed_finder.rb'
    - 'ee/app/helpers/ee/ci/pipelines_helper.rb'
    - 'ee/app/helpers/ee/groups_helper.rb'
    - 'ee/app/helpers/ee/namespaces_helper.rb'
    - 'ee/app/helpers/ee/projects_helper.rb'
    - 'ee/app/helpers/ee/search_helper.rb'
    - 'ee/app/helpers/ee/sidebars_helper.rb'
    - 'ee/app/helpers/ee/subscribable_banner_helper.rb'
    - 'ee/app/helpers/ee/users/callouts_helper.rb'
    - 'ee/app/helpers/ee/users_helper.rb'
    - 'ee/app/helpers/gitlab_subscriptions/upcoming_reconciliation_helper.rb'
    - 'ee/app/helpers/license_helper.rb'
    - 'ee/app/helpers/license_monitoring_helper.rb'
    - 'ee/app/helpers/trial_registrations_helper.rb'
    - 'ee/app/helpers/users/identity_verification_helper.rb'
    - 'ee/app/mailers/emails/in_product_marketing.rb'
    - 'ee/app/models/ci/minutes/additional_pack.rb'
    - 'ee/app/models/ee/application_setting.rb'
    - 'ee/app/models/ee/container_repository.rb'
    - 'ee/app/models/ee/member.rb'
    - 'ee/app/models/ee/namespace.rb'
    - 'ee/app/models/ee/namespace_setting.rb'
    - 'ee/app/models/ee/plan.rb'
    - 'ee/app/models/ee/preloaders/group_policy_preloader.rb'
    - 'ee/app/models/ee/preloaders/single_hierarchy_project_group_plans_preloader.rb'
    - 'ee/app/models/ee/project.rb'
    - 'ee/app/models/ee/project_statistics.rb'
    - 'ee/app/models/ee/user.rb'
    - 'ee/app/models/gitlab_subscription.rb'
    - 'ee/app/models/gitlab_subscriptions/add_on_purchase.rb'
    - 'ee/app/models/gitlab_subscriptions/upcoming_reconciliation.rb'
    - 'ee/app/policies/ee/global_policy.rb'
    - 'ee/app/policies/ee/group_policy.rb'
    - 'ee/app/policies/ee/project_policy.rb'
    - 'ee/app/serializers/ee/issue_sidebar_basic_entity.rb'
    - 'ee/app/services/ci/minutes/update_project_and_namespace_usage_service.rb'
    - 'ee/app/services/ci/runners/stale_group_runners_prune_service.rb'
    - 'ee/app/services/ee/notification_service.rb'
    - 'ee/app/services/gitlab_subscriptions/activate_service.rb'
    - 'ee/app/services/gitlab_subscriptions/add_on_purchases/create_service.rb'
    - 'ee/app/services/gitlab_subscriptions/reconciliations/calculate_seat_count_data_service.rb'
    - 'ee/app/services/llm/base_service.rb'
    - 'ee/app/services/namespaces/service_accounts/create_service.rb'
    - 'ee/app/workers/ee/ci/build_finished_worker.rb'
    - 'ee/app/workers/gitlab_subscriptions/add_on_purchases/bulk_refresh_user_assignments_worker.rb'
    - 'ee/app/workers/gitlab_subscriptions/add_on_purchases/schedule_bulk_refresh_user_assignments_worker.rb'
    - 'ee/app/workers/gitlab_subscriptions/refresh_seats_worker.rb'
    - 'ee/app/workers/gitlab_subscriptions/schedule_refresh_seats_worker.rb'
    - 'ee/app/workers/update_all_mirrors_worker.rb'
    - 'ee/lib/api/code_suggestions.rb'
    - 'ee/lib/api/internal/upcoming_reconciliations.rb'
    - 'ee/lib/api/scim/instance_scim.rb'
    - 'ee/lib/ee/api/namespaces.rb'
    - 'ee/lib/ee/gitlab/background_migration/backfill_project_statistics_storage_size_with_recent_size.rb'
    - 'ee/lib/ee/gitlab/background_migration/backfill_project_statistics_storage_size_without_pipeline_artifacts_size_job.rb'
    - 'ee/lib/ee/gitlab/background_migration/backfill_project_statistics_storage_size_without_uploads_size.rb'
    - 'ee/lib/ee/gitlab/background_migration/create_compliance_standards_adherence.rb'
    - 'ee/lib/ee/gitlab/background_migration/migrate_shared_vulnerability_identifiers.rb'
    - 'ee/lib/ee/gitlab/gon_helper.rb'
    - 'ee/lib/ee/gitlab/personal_access_tokens/service_account_token_validator.rb'
    - 'ee/lib/ee/gitlab/scim/base_provisioning_service.rb'
    - 'ee/lib/ee/gitlab/snippet_search_results.rb'
    - 'ee/lib/ee/gitlab/tracking/standard_context.rb'
    - 'ee/lib/ee/sidebars/groups/menus/settings_menu.rb'
    - 'ee/lib/gitlab/email/message/account_validation.rb'
    - 'ee/lib/gitlab/git_audit_event.rb'
    - 'ee/lib/gitlab/licenses/submit_license_usage_data_banner.rb'
    - 'ee/lib/gitlab/llm/tanuki_bot.rb'
    - 'ee/lib/gitlab/manual_quarterly_co_term_banner.rb'
    - 'ee/lib/gitlab/sitemaps/generator.rb'
    - 'ee/lib/sidebars/groups/menus/trial_widget_menu.rb'
    - 'ee/lib/sidebars/user_settings/menus/profile_billing_menu.rb'
    - 'ee/lib/tasks/gitlab/elastic.rake'
    - 'ee/spec/factories/gitlab_subscriptions.rb'
    - 'lib/container_registry/client.rb'
    - 'lib/container_registry/gitlab_api_client.rb'
    - 'lib/gitlab/background_migration/backfill_project_statistics_storage_size_with_recent_size.rb'
    - 'lib/gitlab/content_security_policy/config_loader.rb'
    - 'lib/gitlab/database/migration_helpers/convert_to_bigint.rb'
    - 'lib/gitlab/database/migration_helpers/wraparound_autovacuum.rb'
    - 'lib/gitlab/database/migration_helpers/wraparound_vacuum_helpers.rb'
    - 'lib/gitlab/gon_helper.rb'
    - 'lib/gitlab/monitor/demo_projects.rb'
    - 'lib/gitlab/qa.rb'
    - 'lib/gitlab/tracking/standard_context.rb'
    - 'lib/gitlab/usage/metrics/instrumentations/count_ci_internal_pipelines_metric.rb'
    - 'lib/gitlab/usage/metrics/instrumentations/count_issues_created_manually_from_alerts_metric.rb'
    - 'lib/sidebars/admin/menus/admin_settings_menu.rb'
    - 'lib/tasks/gitlab/db/migration_fix_15_11.rake'
    - 'spec/helpers/sidebars_helper_spec.rb'
